body {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: start;
    align-items: center;
    height: 100vh;
    background-color: #000;
    font-family: Verdana, sans-serif;
    overflow: hidden;
  padding-left: 10%;
}

.books-container {
    display: flex;
    gap: 0;
    justify-content: center;
    align-items: center;
    transform-style: preserve-3d;
}

.wrap-original-transform {
    perspective: 2000px;
    transform-style: preserve-3d;
    perspective-origin: 150% 80%;
    transition: transform 1.5s ease;
    width: 15px;
}

.original-transform {
    position: relative;
    width: 130px;
    height: 184px;
    transform-style: preserve-3d;
    transform: rotateY(90deg);
    transform-origin: 0% 100% 0%;
    transition: transform 1.5s ease;
}

.original-transform div {
    position: absolute;
    border: 0 none;
    box-sizing: border-box;
}

.front {
    width: 130px;
    height: 184px;
    transform: translateZ(7px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.back {
    width: 130px;
    height: 184px;
    transform: rotateY(180deg) translateZ(8px);
}

.rightSide {
    width: 14px;
    height: 184px;
    transform: rotateY(90deg) translateZ(8px);
    background-color: transparent;
}

.leftSide {
    width: 14px;
    height: 184px;
    transform: rotateY(-90deg) translateZ(8px);
    display: flex;
    align-items: center;
    justify-content: center;
    writing-mode: vertical-lr;
    text-orientation: mixed;
    justify-content: space-between;
    padding-bottom: 0px;
    padding-top: 0px;
      background-repeat:no-repeat;
  background-size: cover;
}

.top {
    width: 130px;
    height: 14px;
    transform: rotateX(90deg) translateZ(8px);
    background-color: #D3D3D3;
}

.bottom {
    width: 120px;
    height: 14px;
    transform: rotateX(-90deg) translateZ(178px);
    background-color: #c3c3c3;
}

.wrap-original-transform.active .original-transform {
    transform: rotateX(19deg) rotateY(17deg) rotateZ(-29deg);
}

.wrap-original-transform.active ~ .wrap-original-transform {
    transform: translateX(100px);
}

.wrap-original-transform.active.prev ~ .wrap-original-transform {
    transform: translateX(50px);
}
/* Custom colors for each book */


.front{
  background-repeat:no-repeat;
  background-size: cover;
  
}

.book-1 .front,
.book-1 .back,
.book-1 .leftSide {
    background-color: #010019;
}

.book-2 .front,
.book-2 .back,
.book-2 .leftSide {
    background-color: #1E4067;
}

.book-3 .front,
.book-3 .back,
.book-3 .leftSide {
    background-color: #2B3143;
}

.book-4 .front,
.book-4 .back,
.book-4 .leftSide {
    background-color: #081027;
}

.book-5 .front,
.book-5 .back,
.book-5 .leftSide {
    background-color: #D7DBCA;
}

.book-6 .front,
.book-6 .back,
.book-6 .leftSide {
    background-color: #ECECEC;
}


.book-1 .front{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/Avatar.webp');
}
.book-1 .leftSide{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/avatarspine.png');
}


.book-2 .front{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/Batman.webp');
}
.book-2 .leftSide{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/avatarspine.png');
}

.book-3 .front{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/Batman_Forever_29.webp');
}
.book-3 .leftSide {
  color: #D64B3C;
}
.book-4 .front{
  background-image: url('https://beak-tama.art/content/collections/shelves/dvd/img/Batman_Returns.webp');
}
.book-4 .leftSide {
  color: #000;
}
.book-5 .front{
  background-image: url('https://m.media-amazon.com/images/I/71nP4HOcsaL._SY466_.jpg');
}
.book-5 .leftSide {
  color: #9F3A43;
}
.book-6 .front{
  background-image: url('https://m.media-amazon.com/images/I/71znpISBE9L._SY466_.jpg');
}
.book-6 .leftSide {
  color: #000;
}

/* Text container 
.text-container { 
    position: absolute; 
    left: 100%; Position to the right of the book 
    top: 0; 
    width: 0;  Initially hidden 
    height: 100%; 
    background-color: transparent;  Semi-transparent white 
    overflow: hidden; 
    transition: all 1.5s ease; 
    display: flex; 
    flex-direction: column; 
    justify-content: center; 
    align-items: flex-start; 
    padding: 0; 
    box-sizing: border-box; 
  opacity: 0; 
} */  

/* Text and button styles 
.text-container h2 {  
    margin: 0 0 5px 0; 
    font-size: 24px; 
    color: #333; 
}

.text-container p {
    margin: 0 0 10px 0;
    font-size: 16px;
    color: #666;
}

.text-container button {
    padding: 10px 20px;
    font-size: 16px;
    color: #FFF;
    background-color: #513F2F;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.text-container button:hover {
    background-color: #3F2F51;
}

 Expand text container when the book is active 
.wrap-original-transform.active .text-container  {
    width: 100px;  Expanded width 
    padding: 5px;  Add padding when expanded 
    transform: translateX(250px);
  opacity: 1;
} */